Feature: Update hunt groups rel users
  In order to manage hunt groups rel users
  As a client admin
  I need to be able to update them through the API.

  @createSchema
  Scenario: Update a hunt group rel user
    Given I add Company Authorization header
     When I add "Content-Type" header equal to "application/json"
      And I add "Accept" header equal to "application/json"
      And I send a "PUT" request to "/hunt_groups_rel_users/1" with body:
    """
      {
          "timeoutTime": 2,
          "priority": 2,
          "id": 1,
          "huntGroup": 1,
          "user": 1
      }
    """
    Then the response status code should be 200
     And the response should be in JSON
     And the header "Content-Type" should be equal to "application/json; charset=utf-8"
     And the JSON should be equal to:
    """
     {
          "timeoutTime": 2,
          "priority": 2,
          "id": 1,
          "huntGroup": {
              "name": "testHuntGroup",
              "description": "desc",
              "strategy": "ringAll",
              "ringAllTimeout": 10,
              "noAnswerTargetType": null,
              "noAnswerNumberValue": null,
              "preventMissedCalls": 1,
              "id": 1,
              "company": 1,
              "noAnswerLocution": null,
              "noAnswerExtension": null,
              "noAnswerVoiceMailUser": null,
              "noAnswerNumberCountry": null
          },
          "user": {
              "name": "Alice",
              "lastname": "Allison",
              "email": "alice@democompany.com",
              "pass": "*****",
              "doNotDisturb": false,
              "isBoss": false,
              "active": true,
              "maxCalls": 1,
              "externalIpCalls": "0",
              "voicemailEnabled": true,
              "voicemailSendMail": true,
              "voicemailAttachSound": true,
              "gsQRCode": false,
              "id": 1,
              "company": 1,
              "callAcl": null,
              "bossAssistant": null,
              "bossAssistantWhiteList": null,
              "transformationRuleSet": 1,
              "language": null,
              "terminal": 1,
              "extension": null,
              "timezone": 145,
              "outgoingDdi": null,
              "outgoingDdiRule": null,
              "voicemailLocution": null
          }
      }
    """
